KBUILDSYCOCA6(8)

NAME
kbuildsycoca6 - Bouwt opnieuw de systeemconfiguratiecache van de desktop-bestanden van KService

SAMENVATTING

kbuildsycoca6 [OPTIES...]

BESCHRIJVING

kbuildsycoca6 bouwt de binaire cache van de gegevens opgeslagen in .desktop en MIME-type .xml-bestanden die het KService-framework gebruikt om plug-ins, toepassingen en andere services te vinden.

De KService-bibliotheek gebruikt deze database om efficient de gevraagde informatie ervan te leveren.

Gebruikers hoeven normaal deze toepassing niet direct te gebruiken; KService zal het, indien nodig, uitvoeren wanneer een van de bestanden waarvan de gegevens in de cache staat is gewijzigd.

OPTIES

--global
    Negeert elk door de gebruiker ingesteld bestand (in XDG_DATA_HOME). Dit wordt nu alleen ondersteunt in UNIX®-systemen.

--noincremental
    Anders dan de bestaande cache gebruiken en alleen de informatie bijwerken als die is gewijzigd of er is iets toegevoegd, wordt gestart met een lege cache. Wordt genegeerd als --global is ingesteld.

--menutest
    Test de generatie van de menu-database voor toepassingen. Bouwt niet echt de cache.

--testmode
    Gebruik de "testmodus" QStandardPaths om interferentie met gebruikersgegevens te vermijden. Dit is bedoeld voor gebruik met tests van eenheden.

--track menu-id
    Track een menu-id voor debuggen.

--author
    Auteurinformatie tonen.

--license
    Licentie-informatie tonen.

-h, --help
    Een korte helptekst tonen.

-v , --version
    Versie-informatie tonen

BESTANDEN

cachedir/ksycoca6_[taal]_[sha1-van-mappen]
    De KService cache gegenereerd door kbuildsycoca6. Op UNIX®-systemen is cachedir typisch XDG_CACHE_HOME

ZIE OOK

kded5(8), kdeinit5(8)

FOUTEN/BUGS

Gebruik Volger van bugs van KDE[1] om ze te rapporteren.

AUTEURS

Darian Lanx <content@openprojects.net>
    Schreef de originele documentatie.

Alex Merry <alexmerry@kde.org>
    Heeft de documentatie voor KDE-frameworks; 5 bijgewerkt.

OPMERKINGEN

1.  Volger van bugs van KDE
    http://bugskde.org